Bug 435531 - OpenEXR-devel does not pull ilmbase-devel.x86_64
OpenEXR-devel does not pull ilmbase-devel.x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 22:57 EST by Michael Ploujnikov
Modified: 2008-03-07 23:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 23:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ploujnikov 2008-02-29 22:57:51 EST
Description of problem:

Installing OpenEXR-devel on Fedora8 x86_64 only installs ilmbase-devel.i386 and
not ilmbase-devel.x86_64.


Version-Release number of selected component (if applicable):
OpenEXR-devel 1.6.1-3.fc8

How reproducible:
Always.

Steps to Reproduce:
1. yum -y install OpenEXR-devel
  
Actual results:
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package OpenEXR-devel.i386 0:1.6.1-3.fc8 set to be updated
--> Processing Dependency: ilmbase-devel for package: OpenEXR-devel
---> Package OpenEXR-devel.x86_64 0:1.6.1-3.fc8 set to be updated
--> Running transaction check
---> Package ilmbase-devel.i386 0:1.0.1-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 OpenEXR-devel           i386       1.6.1-3.fc8      updates            56 k
 OpenEXR-devel           x86_64     1.6.1-3.fc8      updates            56 k
Installing for dependencies:
 ilmbase-devel           i386       1.0.1-1.fc8      updates            76 k

Expected results:
ilmbase-devel.x86_64 should be in the above list too.

Additional info:
I currently don't have ilmbase-devel.x86_64 installed on my system.
Comment 1 Michael Ploujnikov 2008-02-29 23:01:09 EST
I noticed this problem when I was having problems with compilation, and more
specifically running pkg-config. Without ilmbase-devel.x86_64 installed I was
getting:

$ pkg-config --cflags --libs OpenEXR
Package IlmBase was not found in the pkg-config search path.
Perhaps you should add the directory containing `IlmBase.pc'
to the PKG_CONFIG_PATH environment variable
Package 'IlmBase', required by 'OpenEXR', not found

With ilmbase-devel.x86_64 installed it works as expected:
 $ pkg-config --cflags --libs OpenEXR
-I/usr/include/OpenEXR  -lIlmImf -lImath -lHalf -lIex -lIlmThread  

I guess this is a result of -devel package containing more than just source:
$ rpm -ql ilmbase-devel.x86_64|grep lib
/usr/lib64/libHalf.so
/usr/lib64/libIex.so
/usr/lib64/libIlmThread.so
/usr/lib64/libImath.so
/usr/lib64/pkgconfig/IlmBase.pc
Comment 2 Rex Dieter 2008-03-01 08:05:30 EST
As I understand it, yum is supposed prefer the native arch or install both,
reassigning there.

Do you have any yum plugins installed/enabled?  If so, which ones?
Comment 3 Seth Vidal 2008-03-01 08:20:10 EST
Can you run: 

yum list ilmbase\*

and:

yum deplist OpenEXR-devel.x86_64

and finally, what version of yum is this?
Comment 4 Michael Ploujnikov 2008-03-01 11:08:54 EST
(In reply to comment #2)
> As I understand it, yum is supposed prefer the native arch or install both,
> reassigning there.
> 
> Do you have any yum plugins installed/enabled?  If so, which ones?

I don't think so, but I don't know what those are.

(In reply to comment #3)
> Can you run: 
> 
> yum list ilmbase\*

$ yum list ilmbase\*
Installed Packages
ilmbase.x86_64                           1.0.1-1.fc8            installed       
ilmbase.i386                             1.0.1-1.fc8            installed       
ilmbase-devel.i386                       1.0.1-1.fc8            installed       
ilmbase-devel.x86_64                     1.0.1-1.fc8            installed    

> and:
> 
> yum deplist OpenEXR-devel.x86_64

$ yum deplist OpenEXR-devel.x86_64
Finding dependencies: 
package: OpenEXR-devel.x86_64 1.6.1-3.fc8
  dependency: libIlmImf.so.6()(64bit)
   provider: OpenEXR-libs.x86_64 1.6.0-5.fc8
   provider: OpenEXR-libs.x86_64 1.6.1-3.fc8
  dependency: ilmbase-devel
   provider: ilmbase-devel.i386 1.0.0-3.fc8
   provider: ilmbase-devel.x86_64 1.0.0-3.fc8
   provider: ilmbase-devel.x86_64 1.0.1-1.fc8
   provider: ilmbase-devel.i386 1.0.1-1.fc8
  dependency: OpenEXR-libs = 1.6.1-3.fc8
   provider: OpenEXR-libs.x86_64 1.6.1-3.fc8
   provider: OpenEXR-libs.i386 1.6.1-3.fc8
  dependency: pkgconfig
   provider: pkgconfig.x86_64 1:0.22-3.fc8
   provider: pkgconfig.x86_64 1:0.22-4.fc8
package: OpenEXR-devel.x86_64 1.6.0-5.fc8
  dependency: OpenEXR-libs = 1.6.0-5.fc8
   provider: OpenEXR-libs.i386 1.6.0-5.fc8
   provider: OpenEXR-libs.x86_64 1.6.0-5.fc8
  dependency: libIlmImf.so.6()(64bit)
   provider: OpenEXR-libs.x86_64 1.6.0-5.fc8
   provider: OpenEXR-libs.x86_64 1.6.1-3.fc8
  dependency: ilmbase-devel
   provider: ilmbase-devel.i386 1.0.0-3.fc8
   provider: ilmbase-devel.x86_64 1.0.0-3.fc8
   provider: ilmbase-devel.x86_64 1.0.1-1.fc8
   provider: ilmbase-devel.i386 1.0.1-1.fc8
  dependency: pkgconfig
   provider: pkgconfig.x86_64 1:0.22-3.fc8
   provider: pkgconfig.x86_64 1:0.22-4.fc8

> and finally, what version of yum is this?

yum.noarch                               3.2.8-2.fc8
Comment 5 Michael Ploujnikov 2008-03-01 11:36:51 EST
I have just removed OpenEXR-devel and ilmbase-devel

# yum remove OpenEXR-devel ilmbase-devel

and tried three different commands with the following output:

# yum install OpenEXR-devel.x86_64
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package OpenEXR-devel.x86_64 0:1.6.1-3.fc8 set to be updated
--> Processing Dependency: ilmbase-devel for package: OpenEXR-devel
--> Running transaction check
---> Package ilmbase-devel.x86_64 0:1.0.1-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 OpenEXR-devel           x86_64     1.6.1-3.fc8      updates            56 k
Installing for dependencies:
 ilmbase-devel           x86_64     1.0.1-1.fc8      updates            76 k

# yum install OpenEXR-devel.i386
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package OpenEXR-devel.i386 0:1.6.1-3.fc8 set to be updated
--> Processing Dependency: ilmbase-devel for package: OpenEXR-devel
--> Running transaction check
---> Package ilmbase-devel.i386 0:1.0.1-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 OpenEXR-devel           i386       1.6.1-3.fc8      updates            56 k
Installing for dependencies:
 ilmbase-devel           i386       1.0.1-1.fc8      updates            76 k

# yum install OpenEXR-devel.x86_64 OpenEXR-devel.i386
livna                     100% |=========================| 2.1 kB    00:00     
fedora                    100% |=========================| 2.1 kB    00:00     
adobe-linux-i386          100% |=========================|  951 B    00:00     
updates                   100% |=========================| 2.3 kB    00:00     
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package OpenEXR-devel.i386 0:1.6.1-3.fc8 set to be updated
--> Processing Dependency: ilmbase-devel for package: OpenEXR-devel
---> Package OpenEXR-devel.x86_64 0:1.6.1-3.fc8 set to be updated
--> Running transaction check
---> Package ilmbase-devel.i386 0:1.0.1-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 OpenEXR-devel           i386       1.6.1-3.fc8      updates            56 k
 OpenEXR-devel           x86_64     1.6.1-3.fc8      updates            56 k
Installing for dependencies:
 ilmbase-devel           i386       1.0.1-1.fc8      updates            76 k
Comment 6 Seth Vidal 2008-03-01 12:26:20 EST
okay, if you could, upgrade to yum from rawhide and try the commands again. I
believe we've corrected more of this.
Comment 7 Michael Ploujnikov 2008-03-01 18:09:26 EST
Is there a way to do that without breaking my F8 install? `yum update
--enable=development yum` wanted to update 233 packages instead of just yum.
Comment 8 James Antill 2008-03-01 22:50:06 EST
 Try doing "yum install pygpgme" first, that should do it.
Comment 9 Michael Ploujnikov 2008-03-07 21:12:36 EST
I've updated to yum 3.2.12-3.fc9 development and now installing OpenEXR-devel
seems to pull x86_64 ilmbase-devel:

# yum remove OpenEXR-devel ilmbase-devel
...
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 OpenEXR-devel           i386       1.6.1-3.fc8      installed         308 k
 OpenEXR-devel           x86_64     1.6.1-3.fc8      installed         308 k
 ilmbase-devel           i386       1.0.1-1.fc8      installed         405 k
 ilmbase-devel           x86_64     1.0.1-1.fc8      installed         405 k
...
# yum install OpenEXR-devel
...
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 OpenEXR-devel           x86_64     1.6.1-3.fc8      updates            56 k
 OpenEXR-devel           i386       1.6.1-3.fc8      updates            56 k
Installing for dependencies:
 ilmbase-devel           x86_64     1.0.1-1.fc8      updates            76 k

Although this allows my application to configure for building correctly I don't
feel that this is enough. If I'm wrong, and pulling only ilmbase-devel x86_64 is
sufficient by some standard, please close this bug.
Comment 10 James Antill 2008-03-07 23:49:45 EST
 It is sufficient based on the data yum has to go off:

% repoquery -q --requires OpenEXR-devel.x86_64
OpenEXR-libs = 1.6.1-3.fc8
ilmbase-devel
libIlmImf.so.6()(64bit)
pkgconfig
% repoquery -q --requires OpenEXR-devel.i386
OpenEXR-libs = 1.6.1-3.fc8
ilmbase-devel
libIlmImf.so.6
pkgconfig
% repoquery -q --provides ilmbase-devel.x86_64
ilmbase-devel = 1.0.1-1.fc8
% repoquery -q --provides ilmbase-devel.i386
ilmbase-devel = 1.0.1-1.fc8

...the obvious workaround (if you really need a full multilib. devel
environment) is to depend on the .pc file you are using, although Seth will
probably want to hurt me for suggesting it.

Note You need to log in before you can comment on or make changes to this bug.